<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      >
    
     <h:head>
        <title>Livro</title>
        
        <style>
.navbar {
    overflow: hidden;
    background-color: #333;
    font-family: Arial;
}

.navbar a {
    float: left;
    font-size: 16px;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

.dropdown {
    float: left;
    overflow: hidden;
}

.dropdown .dropbtn {
    font-size: 16px;    
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    background-color: inherit;
}

.navbar a:hover, .dropdown:hover .dropbtn {
    background-color: red;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    float: none;
    color: black;
    padding: 20px 30px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.dropdown-content a:hover {
    background-color: #ddd;
}

.dropdown:hover .dropdown-content {
    display: block;
}
</style>
    
  
    
    <h:body>
        
        <div class="navbar">
  <a href="/Exemplo_Livraria">Home</a>
  
  
  
              <h:link outcome="/genero/cadastro"> Cadastro </h:link>
              
              <h:link outcome="/autor/gerenciar"> Autor </h:link>
              
                <h:link outcome="/cliente/gerenciar"> Cliente </h:link>
                
                <h:link outcome="/livro/gerenciar"> Livro </h:link>

  
  
 
</div>

        
    </h:body>
        
    </h:head>
    
    <p:spacer height="30px" />
    
    <h:head>
        <title>Livro</title>
    </h:head>
    <h:body>



        <h:form prependId="false">
            <p:growl autoUpdate="false" id="growl" />
            <p:fieldset legend="Cadastro de Livro">
                <p:panelGrid columns="2" id="painel">
                    <f:facet name="header">
                        Dados do Livro
                    </f:facet>
                    <p:outputLabel value="Codigo:" for="codigo" />
                    <p:inputText id="codigo"  style="width: 40px" readonly="true" value="#{livroBean.codigo}" />
                    
                    <p:outputLabel value="Nome:" for="nome" />
                    <h:panelGroup >
                        <p:inputText id="nome" required="true" style="width: 400px" 
                                     placeholder="Entre com o titulo do livro" value="#{livroBean.livro.titulo}" />
                        <p:message for="nome" />
                    </h:panelGroup>
                    
                     <p:outputLabel value="Preco:" for="preco" />
                    <h:panelGroup >
                        <p:inputText id="preco" required="true" style="width: 400px" 
                                     placeholder="Entre com o valor do livro" value="#{livroBean.livro.preco}" />
                        <p:message for="preco" />
                    </h:panelGroup>
                     
                     
                     
                    <f:facet name="footer">
                        <p:commandButton value="Salvar" icon="fa-save"  action="#{livroBean.salvar}" update="growl,painel,tabela" />
                        <p:spacer width="20px" />
                        <p:commandButton value="Novo" icon="fa-save"  ajax="false" action="#{livroBean.novo}"/>
                    </f:facet>
                </p:panelGrid>
                <h:inputHidden value="#{livroBean.livro.id}" />
            </p:fieldset>

            <p:spacer height="20px" />

            <p:fieldset legend="Lista de livros" >
                <p:dataTable value="#{livroBean.lista}" var="cliente" id="tabela">
                    <p:column headerText="Código" style="width: 80px; text-align: center">
                        <h:outputText value="#{livro.id}" />
                    </p:column>
                    <p:column headerText="Nome">
                        <h:outputText value="#{livro.tiulo}" />
                    </p:column>
                    <p:column headerText="Telefone">
                        <h:outputText value="#{livro.preco}" />
                    </p:column>
                    <p:column style="width: 100px; text-align: center">
                        <p:commandButton  icon="ui-icon-pencil
 " title="Editar" ajax="false" immediate="true">
                            <f:setPropertyActionListener target="#{clienteBean.cliente}" value="#{cliente}" />
                        </p:commandButton>

                        <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{clienteBean.excluir(cliente)}" process="@this" update="growl , tabela"  />

                    </p:column>




                </p:dataTable>

            </p:fieldset>
        </h:form>








    </h:body>
</html>
